Modify

Opened 5 years ago

Closed 5 years ago

#5671 closed defect (invalid)

I get an error after upgrading to trac 0.11.5 and agilo 0.8

Reported by: igharios@… Owned by: CuriousCurmudgeon
Priority: normal Component: BatchModifyPlugin
Severity: normal Keywords:
Cc: Udon, Thani Trac Release: 0.11

Description

Trac detected an internal error:

AttributeError: 'Ticket' object has no attribute 'is_writeable_field'

# File "c:\python25\lib\site-packages\Trac-0.11.5-py2.5-win32.egg\trac\web\main.py", line 444, in _dispatch_request Code fragment:

  1. try:
  2. if not env and env_error:
  3. raise HTTPInternalError(env_error)
  4. try:
  5. dispatcher = RequestDispatcher(env)
  6. dispatcher.dispatch(req)
  7. except RequestDone:
  8. pass
  9. resp = req._response or []
  10. except HTTPException, e:

Local variables: Name Value after [u' except RequestDone:', u' pass', u' resp = ... before [u' try:', u' if not env and env_error:', u' raise ... dispatcher <trac.web.main.RequestDispatcher object at 0x0140B2D0> e AttributeError("'Ticket' object has no attribute 'is_writeable_field'",) env <trac.env.Environment object at 0x00D06A90> env_error None exc_info (<type 'exceptions.AttributeError'>, AttributeError("'Ticket' object has ... filename 'c:
python25
lib
site-packages
Trac-0.11.5-py2.5-win32.egg
trac
web
... frames [{'function': '_dispatch_request', 'lines_before': [u' try:', u' ... has_admin True line u' dispatcher.dispatch(req)' lineno 443 message u"AttributeError: 'Ticket' object has no attribute 'is_writeable_field'" req <Request "POST u'/query'"> resp [] tb <traceback object at 0x02C77918> tb_hide None traceback u'Traceback (most recent call last):\n File ... # File "c:\python25\lib\site-packages\Trac-0.11.5-py2.5-win32.egg\trac\web\main.py", line 175, in dispatch Code fragment:

  1. if not req.path_info or req.path_info == '/':
  2. chosen_handler = self.default_handler
  3. # pre-process any incoming request, whether a handler
  4. # was found or not
  5. chosen_handler = self._pre_process_request(req,
  6. chosen_handler)
  7. except TracError, e:
  8. raise HTTPInternalError(e)
  9. if not chosen_handler:
  10. if req.path_info.endswith('/'):
  11. # Strip trailing / and redirect

Local variables: Name Value chosen_handler <trac.ticket.query.QueryModule object at 0x0140B410> chrome <trac.web.chrome.Chrome object at 0x01359670> err (<type 'exceptions.AttributeError'>, AttributeError("'Ticket' object has ... handler <trac.ticket.query.QueryModule object at 0x0140B410> req <Request "POST u'/query'"> self <trac.web.main.RequestDispatcher object at 0x0140B2D0> # File "c:\python25\lib\site-packages\Trac-0.11.5-py2.5-win32.egg\trac\web\main.py", line 295, in _pre_process_request Code fragment:

  1. req.outcookietrac_form_token?secure? = True
  2. return req.outcookietrac_form_token?.value
  3. def _pre_process_request(self, req, chosen_handler):
  4. for filter_ in self.filters:
  5. chosen_handler = filter_.pre_process_request(req, chosen_handler)
  6. return chosen_handler
  7. def _post_process_request(self, req, *args):
  8. nbargs = len(args)
  9. resp = args

Local variables: Name Value chosen_handler <trac.ticket.query.QueryModule object at 0x0140B410> filter_ <batchmod.web_ui.BatchModifyModule object at 0x00D0F370> req <Request "POST u'/query'"> self <trac.web.main.RequestDispatcher object at 0x0140B2D0> # File "build\bdist.win32\egg\batchmod\web_ui.py", line 36, in pre_process_request Local variables: Name Value handler <trac.ticket.query.QueryModule object at 0x0140B410> req <Request "POST u'/query'"> self <batchmod.web_ui.BatchModifyModule object at 0x00D0F370> # File "build\bdist.win32\egg\batchmod\web_ui.py", line 69, in _batch_modify Local variables: Name Value comment field {'name': 'i_component', 'optional': True, 'label': u'Implementation ... id u'2223' name 'i_component' req <Request "POST u'/query'"> selectedTickets [u'2638', u'2223', u'3254', u'3277'] self <batchmod.web_ui.BatchModifyModule object at 0x00D0F370> t <trac.ticket.model.Ticket object at 0x02B233B0> tickets [u'2638', u'2223', u'3254', u'3277', u'3282', u'3283', u'3290', u'3185', ... values {'status': u'closed'} # File "C:\Python25\lib\site-packages\trac-0.11.5-py2.5-win32.egg\trac\ticket\model.py", line 304, in save_changes Code fragment:

  1. old_values = self._old
  2. self._old = {}
  3. self.time_changed = when
  4. for listener in TicketSystem(self.env).change_listeners:
  5. listener.ticket_changed(self, comment, author, old_values)
  6. return True
  7. def get_changelog(self, when=None, db=None):
  8. """Return the changelog as a list of tuples of the form
  9. (time, author, field, oldvalue, newvalue, permanent).

Local variables: Name Value author u'igharios' cc u cclist [u] cnum comment cursor <trac.db.util.IterableCursor object at 0x02B23210> custom_fields ['remaining_time', 'rd_points', 'sprint', 'drp_resources', ... db <trac.db.pool.PooledConnection object at 0x02D1B558> f {'name': 'i_component', 'optional': True, 'label': u'Implementation ... handle_ta True listener <agilo.charts.chart_cache_invalidator.ChartsCacheInvalidator object at ... name 'status' old_values {'status': u'assigned'} self <trac.ticket.model.Ticket object at 0x02B233B0> when datetime.datetime(2009, 8, 13, 19, 14, 11, 959000, tzinfo=<FixedOffset ... when_ts 1250190851 # File "c:\python25\lib\site-packages\agilo-0.8.0_r1818_20090805-py2.5.egg\agilo\charts\chart_cache_invalidator.py", line 54, in ticket_changed

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by rjollos

  • Summary changed from I get an erro after upgrading to trac 0.11.5 and agilo 0.8 to I get an error after upgrading to trac 0.11.5 and agilo 0.8

comment:2 Changed 5 years ago by Robor

  • Cc Udon Thani added; anonymous removed

Hello, Thank you! I would now go on this blog every day!

Robor

comment:3 Changed 5 years ago by CuriousCurmudgeon

  • Owner changed from ashwin_phatak to CuriousCurmudgeon
  • Status changed from new to assigned

The bug report in the summary says the exception was thrown in Agilo. Closing.

comment:4 Changed 5 years ago by CuriousCurmudgeon

  • Resolution set to invalid
  • Status changed from assigned to closed

Add Comment

Modify Ticket

Action
as closed The owner will remain CuriousCurmudgeon.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.